

<div class="assignmentSkillWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Category Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Assignment Category
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Category Name</th>
        <th>Category Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentBadgeObj of assignmentCategoryList">
        <td>{{assignmentBadgeObj.assignmentCategoryName}}</td>
        <td>{{assignmentBadgeObj.assignmentCategoryDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentBadgeObj)">
          Edit Category
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentBadgeObj)">
          Delete Category
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentCategory">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Category</h4>
        <h4  *ngIf="isEdit">Edit Category</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentCatrogory="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentCategoryObj.touched && assignmentCategoryObj.invalid">
              <label for="assignmentName"> Category Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentCategoryObj.assignmentCategoryName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder=" Category Name "/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Category Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0">Category Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentCategoryObj.assignmentCategoryDesp" required name=description id="description"
                    #description="ngModel"  style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter Category Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentCategory()" [disabled]="!assignmentCatrogory.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentBadge()" [disabled]="!assignmentCatrogory.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-Close" (click)="hidePopup()">Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentCategory">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Category</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.assignmentBadgeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentCategory(deletebadgeObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
